Map = class('Map', Object)

function Map:initialize()
	Object.initialize(self)

	self.x1 = 0
	self.y1 = 16
	self.x2 = gWidth
	self.y2 = gHeight

	local x1, y1, x2, y2 = self.x1, self.y1, self.x2, self.y2

	self.cBox1 = Collider:addRectangle(x1 + 16, y1, x2 - 32, y1)
	self.cBox2 = Collider:addRectangle(x2 - 16, y1 + 16, x2 - 16, y2 - 48)
	self.cBox3 = Collider:addRectangle(x1 + 16, y2 - 16, x2 - 32, y2)
	self.cBox4 = Collider:addRectangle(x1, y1 + 16, x1 + 16, y2 - 48)

	Collider:addToGroup("mapWalls", self.cBox1, self.cBox2, self.cBox3, self.cBox4)
  
end

function Map:draw( ... )

	local x1, y1, x2, y2 = self.x1, self.y1, self.x2, self.y2

	love.graphics.setColor(100,100,70)

	love.graphics.rectangle("fill", x1 + 16, y1, x2 - 32, y1) --up
	love.graphics.rectangle("fill", x2 - 16, y1 + 16, x2 - 16, y2 - 48) --right
	love.graphics.rectangle("fill", x1 + 16, y2 - 16, x2 - 32, y2) --down
	love.graphics.rectangle("fill", x1, y1 + 16, x1 + 16, y2 - 48) --left

	if showCBox == true then
		love.graphics.setColor(0,0,0)
		self.cBox1:draw("line")
		self.cBox2:draw("line")
		self.cBox3:draw("line")
		self.cBox4:draw("line")
	end
end