Bow = class('Bow', Object)

function Bow:initialize()
	Object.initialize(self)

	self.id = "Bow & Arrow"
  
	trace("Received: " .. self.id)

	self.x = 0
	self.y = 0
	self.direction = "down"
	self.oneShot = false
	self.fireRate = 0.35
	self.idle = false
	self.idleTimer = 0
	self.destruct = false

	self.arrows = {}

	self.cBox = Collider:addRectangle(self.x,self.y, 3, 8)
	Collider:setGhost(self.cBox)
	Collider:addToGroup("player", self.cBox)
	Collider:addToGroup("mapWalls", self.cBox)
  
end

function Bow:draw()
	love.graphics.setColor(255,0,0)
	love.graphics.rectangle("fill", self.x,self.y, 8, 8)

	for _,v in pairs(self.arrows) do
		v:draw()
	end


	if showCBox == true then
		love.graphics.setColor(0,0,0)
		self.cBox:draw("line")
	end
end

function Bow:update(dt)

	for i = #self.arrows, 1, -1 do -- reverse-order trick
		local b = self.arrows[i]
		local x, y = b.cBox:center()
		-- Destroy off-screen instances
		if x < 0 or x > gWidth or y < 0 or y > gHeight then
			Collider:remove(b.cBox)
			table.remove(self.arrows, i)
			trace("Arrow obliterated!")			
		end
	end

	for _,v in pairs(self.arrows) do
		v:update(dt)
	end

	if self.idle == true then
		self.idleTimer = self.idleTimer + dt
		if self.idleTimer > 3 then
			self.destruct = true
		end
	end

end

function Bow:fire(dt)
	self.arrows[#self.arrows + 1] = Arrow:new()
	self.arrows[#self.arrows]:initialize(self.x, self.y, self.direction)
	currentNum = #self.arrows
end