Sword = class('Sword', Object)

function Sword:initialize()
	Object.initialize(self)

	self.id = "Sword"
  
	trace("Received: " .. self.id)

	self.x = 0
	self.y = 0
	self.w = 6
	self.h = 16

	self.r = 0
	self.direction = "down"
	self.oneShot = true
	self.fireRate = 0
	self.idle = false
	self.idleTimer = 0
	self.destruct = false
	self.timer = 0
	self.animation = false

	--self.img = love.graphics.newImage("img/sword.png")

	self.cBox = Collider:addRectangle(self.x, self.y, self.w, self.h)
	Collider:addToGroup("player", self.cBox)
	Collider:addToGroup("mapWalls", self.cBox)

end

function Sword:draw()

	love.graphics.setColor(120,10,255)
	self.cBox:draw("fill")

	--[[if showCBox == true then
		love.graphics.setColor(0,0,0)
		self.cBox:draw("line")
	end]]

	--love.graphics.setColor(255,255,255)
	--love.graphics.draw(self.img, self.x, self.y, self.r)
end

function Sword:update(dt)

	if self.animation == false then

		self.cBox:setRotation(self.r)
		self.cBox:moveTo(self.x,self.y)

		if self.direction == "down" then

			self.r = math.rad(180)
			self.cBox:move(-4,8)

		elseif self.direction == "up" then

			self.r = math.rad(0)
			self.cBox:move(4,-8)

		elseif self.direction == "left" then

			self.r = math.rad(270)
			self.cBox:move(-8,4)

		elseif self.direction == "right" then

			self.r = math.rad(90)
			self.cBox:move(8,-4)

		end
	end

	if self.animation == true then
		self.timer = self.timer + dt
		if self.timer < 0.2 then
			self.cBox:rotate(math.rad(2), self.x, self.y)
		elseif self.timer > 0.2 then
			self.timer = 0
			self.animation = false
		end
	end

	if self.idle == true then
		self.idleTimer = self.idleTimer + dt
		if self.idleTimer > 3 then
			self.destruct = true
		end
	end

end

function Sword:fire(dt)
	self.animation = true
end